# LED-Controller
Simple MQTT-LED-Stripe Controller based on https://wiki.keks.cloud/doku.php?id=projects:ledcontroller

# MQTT Topics
| Topic | Typ | Notice |
|---|---|---|
| led1/status | write-only | Retaines Message and Last will for MQTT Status, 1 = Online, 0 = Offline  |
| led1/sync | read-only | Ignore all Setting for LED2 and mirrow LED1 color to the secound stripe, 1 = On, 0 = OFF |
| led1/1/mode  | read-only  | Set the Mode of LED1 |
| led1/2/mode  | read-only  | Set the Mode of LED2 |
| led1/1/speed  | read-only  | How fast the changes of the color will made, bigger number will be slower changes, for LED1 |
| led1/2/speed  | read-only  | How fast the changes of the color will made, bigger number will be slower changes, for LED2 |
| led1/1/color  | read-only  | Set Color for LED1, RRRGGGBBB, each color is a int between 000 and 255 |
| led1/2/color  | read-only  | Set Color for LED2, RRRGGGBBB, each color is a int between 000 and 255 |

# MODE

* on = Just one color, color can changed via MQTT
* fade = Fade
* off = Off (color 000000000)

# Error Codes
| Blink Code | Description |
| ---------- | ----------- |
| 4 short    | MQTT Connection failed |
| 2 shourt, 2 long | WiFi Connection failed |
| fading | Try to connect to wifi |
| on | Try to connect to MQTT |